org.eclipse.oomph.setup

## Interface RedirectionTask

- All Superinterfaces:
    EObject, ModelElement, Notifier, SetupTask
  All Known Implementing Classes:
    RedirectionTaskImpl

      public interface RedirectionTask
      extends SetupTask

  A representation of the model object 'Redirection Task'.

  The following features are supported:

  - `Source URL`
  - `Target URL`
  See Also:
    `SetupPackage.getRedirectionTask()`
  Generated
  Model

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSourceURL()` Returns the value of the 'Source URL' attribute.
    `String` | `getTargetURL()` Returns the value of the 'Target URL' attribute.
    `void` | `setSourceURL(String value)` Sets the value of the '`Source URL`' attribute.
    `void` | `setTargetURL(String value)` Sets the value of the '`Target URL`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, isNeeded, overrideFor, perform, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getSourceURL

          String getSourceURL()

      Returns the value of the 'Source URL' attribute.

      If the meaning of the 'Source URL' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Source URL' attribute.
      See Also:
        `setSourceURL(String)`, `SetupPackage.getRedirectionTask_SourceURL()`
      Generated
      Model
        required="true"

    - #### setSourceURL

          void setSourceURL(String value)

      Sets the value of the '`Source URL`' attribute.
      Parameters:
        `value` - the new value of the 'Source URL' attribute.
      See Also:
        `getSourceURL()`
      Generated

    - #### getTargetURL

          String getTargetURL()

      Returns the value of the 'Target URL' attribute.

      If the meaning of the 'Target URL' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Target URL' attribute.
      See Also:
        `setTargetURL(String)`, `SetupPackage.getRedirectionTask_TargetURL()`
      Generated
      Model
        required="true"

    - #### setTargetURL

          void setTargetURL(String value)

      Sets the value of the '`Target URL`' attribute.
      Parameters:
        `value` - the new value of the 'Target URL' attribute.
      See Also:
        `getTargetURL()`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html